package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.UserComment;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.UserCommentMapper")
public interface UserCommentMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(UserComment record);

    UserComment selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(UserComment record);

    List<UserComment> queryAllUserComment(UserComment record);

    List<UserComment> queryUserCommentByPage(Map<String, Object> parameter);

    int delete(UserComment record);

    UserComment queryUserComment(UserComment record);

    List<UserComment> query(UserComment record);
}

